cURL
curl --request POST \
--url https://api.opentools.com/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"type": "function"
}
],
"name": "<string>"
}
],
"stream": false,
"tools": [
{
"type": "function"
}
],
"tool_choice": {},
"temperature": 1,
"max_tokens": 2
}
'import requests
url = "https://api.opentools.com/v1/chat/completions"
payload = {
"model": "<string>",
"messages": [
{
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"type": "function"
}
],
"name": "<string>"
}
],
"stream": False,
"tools": [{ "type": "function" }],
"tool_choice": {},
"temperature": 1,
"max_tokens": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
messages: [
{
content: '<string>',
tool_calls: [
{
id: '<string>',
function: {name: '<string>', arguments: '<string>'},
type: 'function'
}
],
name: '<string>'
}
],
stream: false,
tools: [{type: 'function'}],
tool_choice: {},
temperature: 1,
max_tokens: 2
})
};
fetch('https://api.opentools.com/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"choices": [
{
"message": {
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"function": {
"name": "<string>",
"arguments": "<string>"
},
"type": "function"
}
],
"name": "<string>"
},
"finish_reason": "<string>",
"index": 123
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}API reference
Create Generation
Send a chat completion request to a selected model
POST
/
v1
/
chat
/
completions
cURL
Authorizations
Authentication using a bearer token
Body
application/json
Chat completion request parameters
The model ID to use
A list of messages comprising the conversation so far
Show child attributes
Show child attributes
Whether to stream the response
A list of tools the model may use
Show child attributes
Show child attributes
Controls which tool is used by the model
What sampling temperature to use
Required range:
0 <= x <= 2The maximum number of tokens to generate
Required range:
x >= 1⌘I

